SpringBus (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.spring

## Class SpringBus

- java.lang.Object
- - org.apache.cxf.interceptor.AbstractBasicInterceptorProvider
  - - org.apache.cxf.bus.extension.ExtensionManagerBus
    - - org.apache.cxf.bus.spring.SpringBus

- All Implemented Interfaces:
    `Bus`, `InterceptorProvider`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

      public class SpringBus
      extends ExtensionManagerBus
      implements org.springframework.context.ApplicationContextAware

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

      `ExtensionManagerBus.ExtensionFinder`

    - ### Nested classes/interfaces inherited from interface org.apache.cxf.Bus

      `Bus.BusState`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

      `BUS_PROPERTY_NAME, extensions, id, missingExtensions`

    - ### Fields inherited from interface org.apache.cxf.Bus

      `DEFAULT_BUS_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringBus()` |
    `SpringBus​(boolean ctxManaged)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroyBeans()` |
    `String` | `getId()` |
    `void` | `onApplicationEvent​(org.springframework.context.ApplicationEvent event)` |
    `void` | `setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)`
    `void` | `setBusConfig​(BusDefinitionParser.BusConfig bc)` |
    `void` | `setCloseContext​(boolean b)` |

    - ### Methods inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

      `createConfiguredBeanLocator, doInitializeInternal, getExtension, getFeatures, getProperties, getProperty, getState, hasExtensionByName, initialize, initializeFeatures, loadAdditionalFeatures, setExtension, setFeatures, setId, setProperties, setProperty, setState, shutdown, shutdown`

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractBasicInterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- - ### Constructor Detail

    - #### SpringBus

          public SpringBus()

    - #### SpringBus

          public SpringBus​(boolean ctxManaged)

  - ### Method Detail

    - #### setBusConfig

          public void setBusConfig​(BusDefinitionParser.BusConfig bc)

    - #### setApplicationContext

          public void setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

    - #### onApplicationEvent

          public void onApplicationEvent​(org.springframework.context.ApplicationEvent event)

    - #### destroyBeans

          public void destroyBeans()

      Overrides:
        `destroyBeans` in class `ExtensionManagerBus`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `Bus`
      Overrides:
        `getId` in class `ExtensionManagerBus`

    - #### setCloseContext

          public void setCloseContext​(boolean b)